diff -uNr package-orig/autoconf/Config.in package/autoconf/Config.in
--- package-orig/autoconf/Config.in	2004-10-09 02:12:48.000000000 -0400
+++ package/autoconf/Config.in	2004-12-13 14:35:44.000000000 -0500
@@ -4,5 +4,6 @@
 	bool"autoconf"
 	default n
 	help
-	  Add help text here.
+	  Autoconf is an extensible package of m4 macros that produce shell scripts to automatically configure software source code packages.
 
+	  http://www.gnu.org/software/autoconf/
diff -uNr package-orig/automake/Config.in package/automake/Config.in
--- package-orig/automake/Config.in	2004-10-09 02:12:48.000000000 -0400
+++ package/automake/Config.in	2004-12-13 14:36:41.000000000 -0500
@@ -4,5 +4,6 @@
 	bool"automake"
 	default n
 	help
-	  Add help text here.
+	  Automake is a tool for automatically generating `Makefile.in' files compliant with the GNU Coding Standards.
 
+	  http://www.gnu.org/software/automake/
diff -uNr package-orig/berkeleydb/Config.in package/berkeleydb/Config.in
--- package-orig/berkeleydb/Config.in	2004-10-09 02:12:49.000000000 -0400
+++ package/berkeleydb/Config.in	2004-12-13 14:40:08.000000000 -0500
@@ -4,5 +4,7 @@
 	bool"berkeleydb"
 	default n
 	help
-	  Add help text here.
+	  Berkeley DB is the leading application-specific data management 
+	  software in the world, with over 200 million deployments.
 
+	  http://www.sleepycat.com/products/db.shtml
diff -uNr package-orig/bison/Config.in package/bison/Config.in
--- package-orig/bison/Config.in	2004-10-09 02:12:50.000000000 -0400
+++ package/bison/Config.in	2004-12-13 14:42:35.000000000 -0500
@@ -4,5 +4,8 @@
 	bool"bison"
 	default n
 	help
-	  Add help text here.
+	  Bison is a general-purpose parser generator that converts a 
+	  grammar description for an LALR context-free grammar into a C 
+	  program to parse that grammar.
 
+	  http://www.gnu.org/software/bison/
diff -uNr package-orig/boa/Config.in package/boa/Config.in
--- package-orig/boa/Config.in	2004-10-09 02:12:50.000000000 -0400
+++ package/boa/Config.in	2004-12-13 14:50:19.000000000 -0500
@@ -4,5 +4,9 @@
 	bool"boa"
 	default n
 	help
-	  Add help text here.
+	  Boa is a single-tasking HTTP server.
 
+	  Boa is not intended as a feature-packed server; if you want one 
+	  of those, check out WN from John Franks.
+
+	  http://www.boa.org/
diff -uNr package-orig/bridge/Config.in package/bridge/Config.in
--- package-orig/bridge/Config.in	2004-10-09 02:12:51.000000000 -0400
+++ package/bridge/Config.in	2004-12-13 15:03:48.000000000 -0500
@@ -4,5 +4,7 @@
 	bool"bridge"
 	default n
 	help
-	  Add help text here.
+	  Ethernet bridging is a way to connect networks together to form 
+	  a larger network.
 
+	  http://bridge.sourceforge.net/
diff -uNr package-orig/bzip2/Config.in package/bzip2/Config.in
--- package-orig/bzip2/Config.in	2004-10-09 02:12:51.000000000 -0400
+++ package/bzip2/Config.in	2004-12-13 15:06:12.000000000 -0500
@@ -4,5 +4,10 @@
 	bool"bzip2"
 	default n
 	help
-	  Add help text here.
+	  bzip2 is a freely available, patent free, high-quality data 
+	  compressor. It typically compresses files to within 10% to 15% of 
+	  the best available techniques (the PPM family of statistical 
+	  compressors), whilst being around twice as fast at compression and 
+	  six times faster at decompression.
 
+	  http://sources.redhat.com/bzip2/
diff -uNr package-orig/coreutils/Config.in package/coreutils/Config.in
--- package-orig/coreutils/Config.in	2004-10-14 16:17:03.000000000 -0400
+++ package/coreutils/Config.in	2004-12-13 15:08:52.000000000 -0500
@@ -2,7 +2,10 @@
 	bool "coreutils"
 	default n
 	help
-	  All of the basic file/text/shell utilities.
+	  The GNU Core Utilities are the basic file, shell and text 
+	  manipulation utilities of the GNU operating system. These are the 
+	  core utilities which are expected to exist on every operating 
+	  system.
 
 	  Things like:
 	  - chmod, cp, dd, dir, ls, etc...
diff -uNr package-orig/customize/Config.in package/customize/Config.in
--- package-orig/customize/Config.in	2004-10-09 02:12:53.000000000 -0400
+++ package/customize/Config.in	2004-12-13 14:34:24.000000000 -0500
@@ -4,5 +4,4 @@
 	bool"customize"
 	default n
 	help
-	  Add help text here.
-
+	  Add customizations to the target from package/customize/source.
diff -uNr package-orig/dhcp_relay/Config.in package/dhcp_relay/Config.in
--- package-orig/dhcp_relay/Config.in	2004-10-09 02:12:54.000000000 -0400
+++ package/dhcp_relay/Config.in	2004-12-13 15:14:48.000000000 -0500
@@ -4,5 +4,6 @@
 	bool"dhcp_relay"
 	default n
 	help
-	  Add help text here.
+	  DHCP relay agent from the ISC DHCP distribution.
 
+	  http://www.isc.org/index.pl?/dhcp
diff -uNr package-orig/diffutils/Config.in package/diffutils/Config.in
--- package-orig/diffutils/Config.in	2004-10-09 02:12:54.000000000 -0400
+++ package/diffutils/Config.in	2004-12-13 15:17:16.000000000 -0500
@@ -4,5 +4,6 @@
 	bool"diffutils"
 	default n
 	help
-	  Add help text here.
+	  Utilities to find and compare differences between two or more files.
 
+	  http://www.gnu.org/software/diffutils/
diff -uNr package-orig/ed/Config.in package/ed/Config.in
--- package-orig/ed/Config.in	2004-10-09 02:12:56.000000000 -0400
+++ package/ed/Config.in	2004-12-13 15:22:19.000000000 -0500
@@ -4,5 +4,5 @@
 	bool"ed"
 	default n
 	help
-	  Add help text here.
-
+	  ed is a line-oriented text editor.  It is used to create, display, 
+	  modify and otherwise manipulate text files.
diff -uNr package-orig/flex/Config.in package/flex/Config.in
--- package-orig/flex/Config.in	2004-10-09 02:12:58.000000000 -0400
+++ package/flex/Config.in	2004-12-13 15:37:59.000000000 -0500
@@ -4,5 +4,7 @@
 	bool"flex"
 	default n
 	help
-	  Add help text here.
+	  Flex is a fast lexical analyser generator. It is a tool for 
+	  generating programs that perform pattern-matching on text.
 
+	  http://www.gnu.org/software/flex/
diff -uNr package-orig/gawk/Config.in package/gawk/Config.in
--- package-orig/gawk/Config.in	2004-10-09 02:12:59.000000000 -0400
+++ package/gawk/Config.in	2004-12-13 15:39:48.000000000 -0500
@@ -4,5 +4,8 @@
 	bool"gawk"
 	default n
 	help
-	  Add help text here.
+	  The awk utility interprets a special-purpose programming language 
+	  that makes it possible to handle simple data-reformatting jobs with 
+	  just a few lines of code.
 
+	  http://www.gnu.org/software/gawk/
diff -uNr package-orig/gettext/Config.in package/gettext/Config.in
--- package-orig/gettext/Config.in	2004-10-09 02:12:59.000000000 -0400
+++ package/gettext/Config.in	2004-12-13 15:43:45.000000000 -0500
@@ -4,5 +4,7 @@
 	bool"gettext"
 	default n
 	help
-	  Add help text here.
+	  The GNU `gettext' utilities are a set of tools that provide a 
+	  framework to help other GNU packages produce multi-lingual messages.
 
+	  http://www.gnu.org/software/gettext/
diff -uNr package-orig/hostap/Config.in package/hostap/Config.in
--- package-orig/hostap/Config.in	2004-10-09 02:13:01.000000000 -0400
+++ package/hostap/Config.in	2004-12-13 15:46:05.000000000 -0500
@@ -4,5 +4,9 @@
 	bool"hostap"
 	default n
 	help
-	  Add help text here.
+	  Host AP is a Linux driver for wireless LAN cards based on 
+	  Intersil's Prism2/2.5/3 chipset. The driver supports a so called 
+	  Host AP mode, i.e., it takes care of IEEE 802.11 management 
+	  functions in the host computer and acts as an access point.
 
+	  http://hostap.epitest.fi/
diff -uNr package-orig/hotplug/Config.in package/hotplug/Config.in
--- package-orig/hotplug/Config.in	2004-10-09 02:13:01.000000000 -0400
+++ package/hotplug/Config.in	2004-12-13 15:47:45.000000000 -0500
@@ -4,5 +4,6 @@
 	bool"hotplug"
 	default n
 	help
-	  Add help text here.
+	  Hotplug lets you plug in new devices and use them immediately.
 
+	  http://linux-hotplug.sourceforge.net/
diff -uNr package-orig/jpeg/Config.in package/jpeg/Config.in
--- package-orig/jpeg/Config.in	2004-10-09 02:13:03.000000000 -0400
+++ package/jpeg/Config.in	2004-12-13 15:57:53.000000000 -0500
@@ -4,5 +4,5 @@
 	bool"jpeg"
 	default n
 	help
-	  Add help text here.
-
+	  This package contains C software to implement JPEG image 
+	  compression and decompression.
diff -uNr package-orig/openvpn/Config.in package/openvpn/Config.in
--- package-orig/openvpn/Config.in	2004-10-14 05:39:25.000000000 -0400
+++ package/openvpn/Config.in	2004-12-13 14:21:18.000000000 -0500
@@ -6,5 +6,9 @@
 	select BR2_PACKAGE_LZO
 	select BR2_PACKAGE_OPENSSL
  	help
-	  Add help text here.
-
+		OpenVPN is a full-featured SSL VPN solution which can 
+		accomodate a wide range of configurations, including road 
+		warrior access, home/office/campus telecommuting, WiFi 
+		security, secure branch office linking, and enterprise-scale 
+		remote access solutions with load balancing, failover, and 
+		fine-grained access-controls
diff -uNr package-orig/rxvt/Config.in package/rxvt/Config.in
--- package-orig/rxvt/Config.in	2004-10-09 02:13:24.000000000 -0400
+++ package/rxvt/Config.in	2004-12-24 03:39:18.000000000 -0500
@@ -4,5 +4,7 @@
 	bool"rxvt"
 	default n
 	help
-	  Add help text here.
+	  rxvt is a colour vt102 terminal emulator intended as an xterm 
+	  replacement.
 
+	  http://www.rxvt.org/
diff -uNr package-orig/sfdisk/Config.in package/sfdisk/Config.in
--- package-orig/sfdisk/Config.in	2004-10-09 02:13:24.000000000 -0400
+++ package/sfdisk/Config.in	2004-12-24 03:37:25.000000000 -0500
@@ -4,5 +4,4 @@
 	bool"sfdisk"
 	default n
 	help
-	  Add help text here.
-
+	  Partition table manipulator for Linux
diff -uNr package-orig/slang/Config.in package/slang/Config.in
--- package-orig/slang/Config.in	2004-10-09 02:13:25.000000000 -0400
+++ package/slang/Config.in	2004-12-24 03:36:25.000000000 -0500
@@ -4,5 +4,7 @@
 	bool"slang"
 	default n
 	help
-	  Add help text here.
-
+	  S-Lang is a multi-platform programmer's library designed to allow a 
+	  developer to create robust multi-platform software.
+	  
+	  http://www.s-lang.org/
diff -uNr package-orig/socat/Config.in package/socat/Config.in
--- package-orig/socat/Config.in	2004-10-09 02:13:25.000000000 -0400
+++ package/socat/Config.in	2004-12-24 03:26:46.000000000 -0500
@@ -4,5 +4,7 @@
 	bool"socat"
 	default n
 	help
-	  Add help text here.
+	  Socat is a relay for bidirectional data transfer between two 
+	  independent data channels.
 
+	  http://www.dest-unreach.org/socat/
diff -uNr package-orig/tinylogin/Config.in package/tinylogin/Config.in
--- package-orig/tinylogin/Config.in	2004-10-09 02:13:27.000000000 -0400
+++ package/tinylogin/Config.in	2004-12-24 03:25:03.000000000 -0500
@@ -4,5 +4,8 @@
 	bool"tinylogin"
 	default n
 	help
-	  Add help text here.
+	  TinyLogin is a suite of tiny Unix utilities for handling logging 
+	  into, being authenticated by, changing one's password for, and 
+	  otherwise maintaining users and groups on an embedded system.
 
+	  http://tinylogin.busybox.net/
diff -uNr package-orig/tinyx/Config.in package/tinyx/Config.in
--- package-orig/tinyx/Config.in	2004-10-09 02:13:27.000000000 -0400
+++ package/tinyx/Config.in	2004-12-24 03:23:14.000000000 -0500
@@ -4,5 +4,5 @@
 	bool"tinyx"
 	default n
 	help
-	  Add help text here.
-
+	  TinyX (AKA Xfbdev AKA kdrive) is a tiny X server. It's part of the 
+	  XFree source.
diff -uNr package-orig/tn5250/Config.in package/tn5250/Config.in
--- package-orig/tn5250/Config.in	2004-10-09 02:13:30.000000000 -0400
+++ package/tn5250/Config.in	2004-12-24 03:21:56.000000000 -0500
@@ -4,5 +4,8 @@
 	bool"tn5250"
 	default n
 	help
-	  Add help text here.
+	  tn5250 is a telnet client for the IBM AS/400 that emulates 5250 
+	  terminals and printers. This function is the same as that provided 
+	  by the 5250 emulator in IBM Client Access.
 
+	  http://tn5250.sourceforge.net/
diff -uNr package-orig/ttcp/Config.in package/ttcp/Config.in
--- package-orig/ttcp/Config.in	2004-10-09 02:13:30.000000000 -0400
+++ package/ttcp/Config.in	2004-12-24 03:10:35.000000000 -0500
@@ -4,5 +4,7 @@
 	bool"ttcp"
 	default n
 	help
-	  Add help text here.
+	  TTCP is a benchmarking tool for determining TCP and UDP performance 
+	  between 2 systems.
 
+	  ftp://ftp.sunet.se/pub/network/monitoring/ttcp/
diff -uNr package-orig/udhcp/Config.in package/udhcp/Config.in
--- package-orig/udhcp/Config.in	2004-10-09 02:13:31.000000000 -0400
+++ package/udhcp/Config.in	2004-12-24 03:06:33.000000000 -0500
@@ -4,5 +4,8 @@
 	bool"udhcp"
 	default n
 	help
-	  Add help text here.
+	  The udhcp server/client package is primarily geared towards embedded 
+	  systems. It does however, strive to be fully functional, and RFC 
+	  compliant.
 
+	  http://udhcp.busybox.net/
diff -uNr package-orig/valgrind/Config.in package/valgrind/Config.in
--- package-orig/valgrind/Config.in	2004-10-09 02:13:33.000000000 -0400
+++ package/valgrind/Config.in	2004-12-24 03:01:51.000000000 -0500
@@ -4,5 +4,7 @@
 	bool"valgrind"
 	default n
 	help
-	  Add help text here.
+	  Valgrind is a GPL'd system for debugging and profiling x86-Linux 
+	  programs.
 
+	  http://valgrind.kde.org/
diff -uNr package-orig/vtun/Config.in package/vtun/Config.in
--- package-orig/vtun/Config.in	2004-10-09 02:13:35.000000000 -0400
+++ package/vtun/Config.in	2004-12-24 03:00:22.000000000 -0500
@@ -4,5 +4,11 @@
 	bool"vtun"
 	default n
 	help
-	  Add help text here.
+	  Virtual TUNnel - VTun is the easiest way to create Virtual Tunnels 
+	  over TCP/IP networks with traffic shaping, compression, and 
+	  encryption.
+	  It supports IP, PPP, SLIP, Ethernet and other tunnel types.
+	  VTun is easily and highly configurable, it can be used for various 
+	  network tasks.
 
+	  http://vtun.sourceforge.net/
